# Limit Operator

## Overview

Limit the number of returned results with `limit`.

```kusto
| limit <integer>
```

There is no guarantee as to which records are returned, unless a [`sort`](/pantherflow/operators/sort.md) has already been performed on the data.

## Example

{% hint style="info" %}
Example data

```kusto
let aws_alb = datatable [
  {"type": "https", "p_event_time": "2023-09-16 05:59:04.058", "sentBytes": 167},
  {"type": "https", "p_event_time": "2023-09-16 05:45:34.863", "sentBytes": 329},
  {"type": "https", "p_event_time": "2023-09-16 05:36:09.017", "sentBytes": 167},
  {"type": "https", "p_event_time": "2023-09-16 05:27:39.177", "sentBytes": 468992}
];
```

{% endhint %}

### Limit to one result

```kusto
aws_alb
| limit 1
```

| EVENT                                                                              |
| ---------------------------------------------------------------------------------- |
| `{ "p_event_time": "2023-09-16 05:59:04.058", "sentBytes": 167, "type": "https" }` |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.panther.com/pantherflow/operators/limit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
